var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "react", "../cache/createResource"], function (require, exports, React, createResource_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    React = __importStar(React);
    createResource_1 = __importDefault(createResource_1);
    exports.StylesheetResource = createResource_1.default(load, 
    // @ts-ignore
    function (_a) {
        var href = _a.href, media = _a.media;
        return href + "." + media;
    });
    function load(_a) {
        var href = _a.href, _b = _a.media, media = _b === void 0 ? 'all' : _b;
        return new Promise(function (resolve, reject) {
            var link = document.createElement('link');
            link.rel = 'stylesheet';
            link.href = href;
            link.media = media;
            link.onload = resolve;
            link.onerror = reject;
            document.body.appendChild(link);
        });
    }
    var Stylesheet = function (props) {
        exports.StylesheetResource.read(props);
        return <link {...props}/>;
    };
    exports.useStylesheet = function (props) {
        return exports.StylesheetResource.read(props);
    };
    exports.default = Stylesheet;
});
//# sourceMappingURL=../../src/dist/head/Stylesheet.jsx.map