var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "react", "../cache/createResource"], function (require, exports, React, createResource_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    React = __importStar(React);
    createResource_1 = __importDefault(createResource_1);
    var AUDIO = 'audio';
    exports.AUDIO = AUDIO;
    var AudioResource = createResource_1.default(function (src) {
        return new Promise(function (resolve, reject) {
            var audio = document.createElement('audio');
            audio.src = src;
            audio.onloadeddata = function () { return resolve(audio); };
            audio.onerror = reject;
            // @ts-ignore
            document.body.append(audio);
        });
    });
    exports.default = (function (_a) {
        var src = _a.src, props = __rest(_a, ["src"]);
        AudioResource.read(src);
        return (<audio src={src} {...props}/>);
    });
});
//# sourceMappingURL=../../src/dist/media/Audio.jsx.map