var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "react", "../cache/createResource"], function (require, exports, React, createResource_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    React = __importStar(React);
    createResource_1 = __importDefault(createResource_1);
    var VIDEO = 'video';
    exports.VIDEO = VIDEO;
    var VideoResource = createResource_1.default(function (src) {
        return new Promise(function (resolve, reject) {
            var video = document.createElement('video');
            video.src = src;
            video.oncanplay = function () {
                resolve(video);
            };
            video.onerror = reject;
        });
    });
    exports.default = (function (props) {
        VideoResource.read(props.src);
        return (<video {...props}/>);
    });
});
//# sourceMappingURL=../../src/dist/media/Video.jsx.map