var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
define(["require", "exports", "react"], function (require, exports, React) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    React = __importStar(React);
    var useProgress = function (animate, duration) {
        var _a = React.useState(0), progress = _a[0], setProgress = _a[1];
        React.useEffect(function () {
            if (animate) {
                var rafId_1;
                var start_1;
                var step_1 = function (timestamp) {
                    if (!start_1) {
                        start_1 = timestamp;
                        var progress_1 = timestamp - start_1;
                        setProgress(progress_1);
                        if (progress_1 < duration) {
                            rafId_1 = requestAnimationFrame(step_1);
                        }
                    }
                };
                rafId_1 = requestAnimationFrame(step_1);
                return function () { return cancelAnimationFrame(rafId_1); };
            }
        }, [animate, duration]);
        return progress;
    };
    exports.default = useProgress;
});
//# sourceMappingURL=../../src/dist/ux/useProgress.js.map