var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "react", "./throttle"], function (require, exports, react_1, throttle_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    throttle_1 = __importDefault(throttle_1);
    exports.useWindowScrollPosition = function (_a) {
        var _b = (_a === void 0 ? {} : _a).throttleMs, throttleMs = _b === void 0 ? 100 : _b;
        var _c = react_1.useState({
            x: window.pageXOffset,
            y: window.pageYOffset,
        }), scroll = _c[0], setScroll = _c[1];
        var handle = throttle_1.default(function () {
            setScroll({
                x: window.pageXOffset,
                y: window.pageYOffset,
            });
        }, throttleMs);
        react_1.useEffect(function () {
            window.addEventListener('scroll', handle);
            return function () {
                window.removeEventListener('scroll', handle);
            };
        }, []);
        return scroll;
    };
});
//# sourceMappingURL=../../src/dist/ux/useWindowScrollPosition.js.map